From 74509f28778c69bc2168925f0d0ca6fa935c9013 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 22 Jul 2019 14:04:48 +0200
Subject: [PATCH] doc: Add support for xref to command and function elements

---
 doc/src/sgml/stylesheet-common.xsl | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/doc/src/sgml/stylesheet-common.xsl b/doc/src/sgml/stylesheet-common.xsl
index 6d26e7e5c9..e148c9057f 100644
--- a/doc/src/sgml/stylesheet-common.xsl
+++ b/doc/src/sgml/stylesheet-common.xsl
@@ -86,4 +86,15 @@
   <xsl:text>?</xsl:text>
 </xsl:template>
 
+
+<!-- Support for generating xref link text to additional elements -->
+
+<xsl:template match="command" mode="xref-to">
+  <xsl:apply-templates select="." mode="xref"/>
+</xsl:template>
+
+<xsl:template match="function" mode="xref-to">
+  <xsl:apply-templates select="." mode="xref"/>
+</xsl:template>
+
 </xsl:stylesheet>
-- 
2.22.0

